help with installing gnuplot os x

Help
2007-01-01
2013-02-10
  • Hi.
    I need help with installing gnuplot on my mac.   I downloaded gnuplot4.0 and in the Terminal  I did:
    ./configure
    make
    make install

    after 'make install' I get

    Making install in config
    make[2]: Nothing to be done for `install-exec-am'.
    make[2]: Nothing to be done for `install-data-am'.
    Making install in m4
    make[2]: Nothing to be done for `install-exec-am'.
    make[2]: Nothing to be done for `install-data-am'.
    Making install in term
    make[2]: Nothing to be done for `install-exec-am'.
    make[2]: Nothing to be done for `install-data-am'.
    Making install in src
    if gcc -DHAVE_CONFIG_H -I. -I. -I..  -I../term -I../term -DBINDIR=\"/usr/local/bin\" -DX11_DRIVER_DIR=\"/usr/local/libexec/gnuplot/4.0\" -DCONTACT=\"gnuplot-bugs@lists.sourceforge.net\" -DHELPFILE=\"/usr/local/share/gnuplot/4.0/gnuplot.gih\" -I/usr/X11R6/include  -g -O2 -ObjC -MT gplt_x11.o -MD -MP -MF ".deps/gplt_x11.Tpo" \   -c -o gplt_x11.o `test -f 'gplt_x11.c' || echo './'`gplt_x11.c; \ then mv ".deps/gplt_x11.Tpo" ".deps/gplt_x11.Po"; \ else rm -f ".deps/gplt_x11.Tpo"; exit 1; \ fi
    gplt_x11.c:519: error: 'Class' redeclared as different kind of symbol
    <built-in>:0: error: previous declaration of 'Class' was here
    make[2]: *** [gplt_x11.o] Error 1
    make[1]: *** [install-recursive] Error 1
    make: *** [install-recursive] Error 1

    Can someone interpret this for me.
    thanks

     
    • You're using rather new tools with a rather old version of gnuplot.  'Class' wasn't a builtin keyword of GCC back when gnuplot-4.0 was released.

      This has been fixed in the CVS sources of gnuplot since May 2005.  I suggest you upgrade to the 4.2 release candidate or CVS version.